petsc-3.7.7 2017-09-25
Report Typos and Errors

# KSPLSQRDefaultConverged

Determines convergence of the LSQR Krylov method. This calls KSPConvergedDefault() and if that does not determine convergence then checks convergence for the least squares problem.

### Synopsis

    PetscErrorCode  KSPLSQRDefaultConverged(KSP ksp,PetscInt n,PetscReal rnorm,KSPConvergedReason *reason,void *ctx)

Collective on KSP

### Input Parameters

| ksp | - iterative context
| n | - iteration number
| rnorm | - 2-norm residual value (may be estimated)
| ctx | - convergence context which must be created by KSPConvergedDefaultCreate()

### reason is set to

| positive | - if the iteration has converged;
| negative | - if residual norm exceeds divergence threshold;
| 0 | - otherwise.

### Notes

Possible convergence for the least squares problem (which is based on the residual of the normal equations) are KSP_CONVERGED_RTOL_NORMAL norm and KSP_CONVERGED_ATOL_NORMAL.

### Keywords

KSP, default, convergence, residual

### See Also

KSPSetConvergenceTest(), KSPSetTolerances(), KSPConvergedSkip(), KSPConvergedReason, KSPGetConvergedReason(),
KSPConvergedDefaultSetUIRNorm(), KSPConvergedDefaultSetUMIRNorm(), KSPConvergedDefaultCreate(), KSPConvergedDefaultDestroy(), KSPConvergedDefault()

Level:intermediate
Location:src/ksp/ksp/impls/lsqr/lsqr.c
Index of all KSP routines
Table of Contents for all manual pages
Index of all manual pages